> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneclickdz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# التحقق من الحالة بالمرجع

> تحقق من حالة شحن الإنترنت باستخدام المرجع المخصص

<div dir="rtl">
  ## نظرة عامة

  تتبع حالة شحن الإنترنت باستخدام مرجعك المخصص من طلب الإرسال.

  ## معاملات المسار

  <ParamField path="ref" type="string" required>
    مرجعك المخصص من `/internet/send`
  </ParamField>

  ## الاستجابة

  مطابق لـ [التحقق بالمعرف](/ar/api-reference/internet/check-by-id). يعيد كائن الشحن مع الحالة وكود البطاقة (عند الاكتمال) وتفاصيل المعاملة.

  ## أمثلة

  <CodeGroup>
    ```bash cURL theme={null}
    curl https://api.oneclickdz.com/v3/internet/check-ref/internet-order-001 \
      -H "X-Access-Token: YOUR_API_KEY"
    ```

    ```javascript Node.js theme={null}
    const ref = "internet-order-001";
    const response = await fetch(
      `https://api.oneclickdz.com/v3/internet/check-ref/${ref}`,
      { headers: { "X-Access-Token": "YOUR_API_KEY" } }
    );
    ```

    ```python Python theme={null}
    response = requests.get(
        f'https://api.oneclickdz.com/v3/internet/check-ref/{ref}',
        headers={'X-Access-Token': 'YOUR_API_KEY'}
    )
    ```

    ```php PHP theme={null}
    <?php
    $ref = 'internet-order-001';
    $ch = curl_init("https://api.oneclickdz.com/v3/internet/check-ref/{$ref}");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, ['X-Access-Token: YOUR_API_KEY']);
    $response = curl_exec($ch);
    ?>
    ```
  </CodeGroup>

  ## روابط ذات صلة

  <Card title="التحقق بالمعرف" href="/ar/api-reference/internet/check-by-id">
    توثيق الحالة الكامل
  </Card>
</div>
